<master>
<property name="title">Complex User Search</property>
<property name="context">@context@</property>

<form method='get' action='confirm-addressee'>
  <input type="hidden" name="message_id" value="@message_id@"/>
  <input type='hidden' name='target' value="message-display">
  <input type='hidden' name='only_authorized_p' value="0">

  <if @none_to_add_p@ eq 0>
    <table cellspacing=1 border=0>
      <tr bgcolor='#ffffff'>
        <td align='right'>Addressed:</td>
        <td>
          <select name='address_mode'>
            <multiple name="address_modes">
              <option value="@address_modes.mode_id@">@address_modes.mode_desc@</option>
            </multiple>
          </select>
         </td>
      </tr>
    </table>
    <p>
      <input type="submit" value="    Add    " />
    </p>
  </if>
<br>
<if @criteria:rowcount@ eq 0>
  Message is addressed as follows:
</if><else>
  <if @criteria:rowcount@ eq 1>
    Message is addressed as follows to users matching the criterion:<br>
    <multiple name="criteria">
      <li> @criteria.data@ </li>
    </multiple>
  </if><else>
    Message is addressed as follows for users matching <b> @combine_method@ </b> of the criteria:<br>
    <multiple name="criteria">
      <li> @criteria.data@ </li>
    </multiple>
  </else>
</else>

<hr>

<table>
  <multiple name="user_search">
    <tr>
      <td width="10%">
        <if @user_search.addressed@ nil>
          <input type="checkbox" name="selected_addressees" value="@user_search.user_id@" id="entries,@user_search.user_id@"/>
        </if>
        <else>
          @user_search.addressed@:&nbsp;
        </else>
      </td>
      <td>
        <if @user_search.addressed@ nil>
          @user_search.first_names@ @user_search.last_name@ (@user_search.email@)
        </if>
        <else>
          <a href="remove-addressee?message_id=@message_id@&selected_addressees=@user_search.user_id@&address_mode=@user_search.mode_id@" title="Click to remove">@user_search.first_names@ @user_search.last_name@</a> <a href="mailto:@user_search.email@" title="Click to send conventional non-secure email">(@user_search.email@)</a>
        </else>
        <if @user_search.member_state@ ne "approved">
          <font color="red">@user_search.member_state@</font> @user_search.user_finite_state_links@
        </if>
      </td>
    </tr>
  </multiple>
</table>

<if @user_search:rowcount@ eq 0>
  <ul>
    <li>No users found.</li>
  </ul>
</if>
<else>

  <if @user_search:rowcount@ gt 30>

    <if @only_authorized_p@ eq 0>
      <p>
        We're showing all users, authorized or not (<a href="complex-search?@export_authorize@&only_authorized_p=1">
        show only authorized</a>).
      <p>
    </if><else>
      <p>
        We're only showing authorized users (<a href="complex-search?@export_authorize@&only_authorized_p=0">show all</a>).
      <p>
    </else>

  </if>
</else>

</form>


